KABC::ErrorHandler Class Referenceabstract

`#include <errorhandler.h>`

Inheritance diagram for KABC::ErrorHandler:

## Public Member Functions

virtual void | error (const QString &msg)=0

## Detailed Description

Abstract class that provides displaying of error messages.

We need this to make libkabc gui independent on the one side and provide user friendly error messages on the other side. Use `ConsoleErrorHandler` or `GuiErrorHandler` in your application or provide your own ErrorHandler.

Definition at line 40 of file errorhandler.h.

## Member Function Documentation

virtual void KABC::ErrorHandler::error | ( | const QString & | msg | ) |

pure virtual

Show error message.

Implemented in KABC::GuiErrorHandler, KABC::GUIErrorHandler, and KABC::ConsoleErrorHandler.

The documentation for this class was generated from the following file:

- errorhandler.h

KDE Home | KDE Accessibility Home | Description of Access Keys